Open Bug 1448915 Opened 2 years ago Updated Yesterday

Intermittent browser/base/content/test/general/browser_bug579872.js | Should open in current tab - Got 3, expected 2

Categories

(Firefox :: General, defect, P5)

defect

Tracking

()

REOPENED

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled])

Attachments

(1 file)

Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=170287402&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/LRAW4sbnQ4WQ2W22wlYuAw/runs/0/artifacts/public/logs/live_backing.log

06:49:04     INFO - TEST-START | browser/base/content/test/general/browser_bug579872.js
06:49:04     INFO - GECKO(1853) | ++DOCSHELL 0x11c9a2000 == 6 [pid = 1861] [id = {8667c14d-3ec5-b449-94de-0012f774ee9b}]
06:49:04     INFO - GECKO(1853) | ++DOMWINDOW == 24 (0x11e69c400) [pid = 1861] [serial = 98] [outer = 0x0]
06:49:04     INFO - GECKO(1853) | ++DOMWINDOW == 25 (0x1247b9400) [pid = 1861] [serial = 99] [outer = 0x11e69c400]
06:49:04     INFO - GECKO(1853) | ++DOMWINDOW == 26 (0x1247bb000) [pid = 1861] [serial = 100] [outer = 0x11e69c400]
06:49:04     INFO - GECKO(1853) | --DOCSHELL 0x11b90e800 == 5 [pid = 1861] [id = {60403873-e808-1049-a2ea-dee4786727df}]
06:49:04     INFO - GECKO(1853) | --DOCSHELL 0x11cfcc000 == 4 [pid = 1861] [id = {8dc1d61b-b899-9543-9c7c-64e967400323}]
06:49:04     INFO - GECKO(1853) | --DOCSHELL 0x11cfd5000 == 3 [pid = 1861] [id = {439e2ad0-040c-de4c-8207-b3e528bd9e13}]
06:49:04     INFO - GECKO(1853) | --DOCSHELL 0x11b90f000 == 2 [pid = 1861] [id = {286b9268-9cb0-4d45-80dd-355ec4bfaa0b}]
06:49:04     INFO - GECKO(1853) | --DOMWINDOW == 25 (0x11cf04400) [pid = 1861] [serial = 70] [outer = 0x0] [url = http://example.com/browser/browser/base/content/test/general/app_bug575561.html]
06:49:04     INFO - GECKO(1853) | --DOMWINDOW == 24 (0x11cf0b400) [pid = 1861] [serial = 78] [outer = 0x0] [url = http://example.org/browser/browser/base/content/test/general/dummy_page.html]
06:49:04     INFO - GECKO(1853) | --DOMWINDOW == 23 (0x1247b3400) [pid = 1861] [serial = 77] [outer = 0x0] [url = http://example.com/browser/browser/base/content/test/general/app_subframe_bug575561.html]
06:49:04     INFO - GECKO(1853) | --DOMWINDOW == 22 (0x11cf0d800) [pid = 1861] [serial = 75] [outer = 0x0] [url = http://example.com/browser/browser/base/content/test/general/app_bug575561.html]
06:49:04     INFO - GECKO(1853) | --DOMWINDOW == 21 (0x11cf0cc00) [pid = 1861] [serial = 83] [outer = 0x0] [url = http://example.com/browser/browser/base/content/test/general/app_subframe_bug575561.html]
06:49:04     INFO - GECKO(1853) | --DOMWINDOW == 20 (0x11e696800) [pid = 1861] [serial = 80] [outer = 0x0] [url = about:blank]
06:49:04     INFO - GECKO(1853) | --DOMWINDOW == 9 (0x1122c6c00) [pid = 1857] [serial = 108] [outer = 0x0] [url = http://example.com/browser/browser/base/content/test/general/app_bug575561.html]
06:49:04     INFO - GECKO(1853) | ++DOCSHELL 0x11a60b800 == 4 [pid = 1859] [id = {4212fe21-64fa-ba44-9f6c-54317feb893f}]
06:49:04     INFO - GECKO(1853) | ++DOMWINDOW == 8 (0x11a691000) [pid = 1859] [serial = 140] [outer = 0x0]
06:49:04     INFO - GECKO(1853) | ++DOMWINDOW == 9 (0x11a694c00) [pid = 1859] [serial = 141] [outer = 0x11a691000]
06:49:04     INFO - TEST-INFO | started process screencapture
06:49:04     INFO - TEST-INFO | screencapture: exit 0
06:49:04     INFO - Buffered messages logged at 06:48:33
06:49:04     INFO - TEST-PASS | browser/base/content/test/general/browser_bug579872.js | Should open in current tab - 
06:49:04     INFO - Buffered messages finished
06:49:04     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_bug579872.js | Should open in current tab - Got 3, expected 2
06:49:04     INFO - Stack trace:
06:49:04     INFO - chrome://mochikit/content/browser-test.js:test_is:1280
06:49:04     INFO - chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug579872.js:mainPart:18
06:49:04     INFO - TEST-PASS | browser/base/content/test/general/browser_bug579872.js | Should open in new tab -
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=177581939&repo=autoland&lineNumber=4416

18:08:26     INFO - TEST-START | browser/base/content/test/general/browser_bug579872.js
18:08:26     INFO - GECKO(1938) | ++DOCSHELL 0x11d119800 == 3 [pid = 1943] [id = {6c48b8b6-4342-704a-83c5-de7567b4093c}]
18:08:26     INFO - GECKO(1938) | ++DOMWINDOW == 20 (0x11d17cc00) [pid = 1943] [serial = 103] [outer = 0x0]
18:08:26     INFO - GECKO(1938) | ++DOMWINDOW == 21 (0x11d18d800) [pid = 1943] [serial = 104] [outer = 0x11d17cc00]
18:08:26     INFO - GECKO(1938) | ++DOMWINDOW == 22 (0x11d677c00) [pid = 1943] [serial = 105] [outer = 0x11d17cc00]
18:08:26     INFO - GECKO(1938) | ++DOCSHELL 0x122f09800 == 4 [pid = 1939] [id = {fc963922-7dad-fb4e-9d0f-1f9bddf622a9}]
18:08:26     INFO - GECKO(1938) | ++DOMWINDOW == 20 (0x1236a4800) [pid = 1939] [serial = 142] [outer = 0x0]
18:08:26     INFO - GECKO(1938) | ++DOMWINDOW == 21 (0x12363f400) [pid = 1939] [serial = 143] [outer = 0x1236a4800]
18:08:26     INFO - TEST-INFO | started process screencapture
18:08:27     INFO - TEST-INFO | screencapture: exit 0
18:08:27     INFO - Buffered messages logged at 18:07:57
18:08:27     INFO - TEST-PASS | browser/base/content/test/general/browser_bug579872.js | Should open in current tab - 
18:08:27     INFO - Buffered messages finished
18:08:27     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_bug579872.js | Should open in current tab - Got 3, expected 2
18:08:27     INFO - Stack trace:
18:08:27     INFO - chrome://mochikit/content/browser-test.js:test_is:1290
18:08:27     INFO - chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug579872.js:mainPart:18
18:08:27     INFO - TEST-PASS | browser/base/content/test/general/browser_bug579872.js | Should open in new tab - 
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 20 (0x123a61200) [pid = 1939] [serial = 124] [outer = 0x0] [url = http://example.org/browser/browser/base/content/test/general/dummy_page.html]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 19 (0x1236a6200) [pid = 1939] [serial = 121] [outer = 0x0] [url = http://example.com/browser/browser/base/content/test/general/app_bug575561.html]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 18 (0x127103200) [pid = 1939] [serial = 130] [outer = 0x0] [url = http://example.com/browser/browser/base/content/test/general/app_subframe_bug575561.html]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 17 (0x1236a7c00) [pid = 1939] [serial = 127] [outer = 0x0] [url = data:text/html,<!DOCTYPE%20html><html><body>Another%20Page</body></html>]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 86 (0x13e4ebe00) [pid = 1938] [serial = 104] [outer = 0x0] [url = about:blank]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 85 (0x131a1a200) [pid = 1938] [serial = 64] [outer = 0x0] [url = about:blank]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 84 (0x13e226200) [pid = 1938] [serial = 88] [outer = 0x0] [url = about:blank]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 83 (0x13e899400) [pid = 1938] [serial = 113] [outer = 0x0] [url = about:blank]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 82 (0x13e4e6600) [pid = 1938] [serial = 98] [outer = 0x0] [url = about:blank]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 81 (0x135c25200) [pid = 1938] [serial = 82] [outer = 0x0] [url = about:blank]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 80 (0x145497a00) [pid = 1938] [serial = 121] [outer = 0x0] [url = about:blank]
18:08:27     INFO - GECKO(1938) | --DOMWINDOW == 79 (0x12fa2c400) [pid = 1938] [serial = 76] [outer = 0x0] [url = about:blank]
18:08:27     INFO - GECKO(1938) | MEMORY STAT | vsize 4620MB | residentFast 629MB | heapAllocated 145MB
18:08:27     INFO - TEST-OK | browser/base/content/test/general/browser_bug579872.js | took 882ms
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Recent log failure: https://treeherder.mozilla.org/logviewer.html#?job_id=194524906&repo=mozilla-inbound&lineNumber=5595
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 2 years ago10 months ago
Resolution: --- → INCOMPLETE

This is still happening.

Recent failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=224356606&repo=mozilla-central&lineNumber=1756

[task 2019-01-27T23:07:09.724Z] 23:07:09 INFO - TEST-START | browser/base/content/test/general/browser_bug578534.js
[task 2019-01-27T23:07:10.092Z] 23:07:10 INFO - GECKO(1085) | MEMORY STAT | vsize 2305MB | residentFast 559MB | heapAllocated 281MB
[task 2019-01-27T23:07:10.093Z] 23:07:10 INFO - TEST-OK | browser/base/content/test/general/browser_bug578534.js | took 367ms
[task 2019-01-27T23:07:10.131Z] 23:07:10 INFO - checking window state
[task 2019-01-27T23:07:10.167Z] 23:07:10 INFO - TEST-START | browser/base/content/test/general/browser_bug579872.js
[task 2019-01-27T23:07:10.225Z] 23:07:10 INFO - TEST-INFO | started process screentopng
[task 2019-01-27T23:07:10.755Z] 23:07:10 INFO - TEST-INFO | screentopng: exit 0
[task 2019-01-27T23:07:10.762Z] 23:07:10 INFO - Buffered messages logged at 23:07:10
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - TEST-PASS | browser/base/content/test/general/browser_bug579872.js | Should open in current tab -
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - Buffered messages finished
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_bug579872.js | Should open in current tab - Got 3, expected 2
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - Stack trace:
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - chrome://mochikit/content/browser-test.js:test_is:1318
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug579872.js:mainPart:18
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - promise callback*chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug579872.js:test:8
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1139
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:997
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - TEST-PASS | browser/base/content/test/general/browser_bug579872.js | Should open in new tab -
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - GECKO(1085) | MEMORY STAT | vsize 2294MB | residentFast 548MB | heapAllocated 276MB
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - TEST-OK | browser/base/content/test/general/browser_bug579872.js | took 116ms
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - checking window state
[task 2019-01-27T23:07:10.763Z] 23:07:10 INFO - TEST-START | browser/base/content/test/general/browser_bug581242.js
[task 2019-01-27T23:07:10.832Z] 23:07:10 INFO - GECKO(1085) | MEMORY STAT | vsize 2297MB | residentFast 561MB | heapAllocated 289MB
[task 2019-01-27T23:07:10.832Z] 23:07:10 INFO - TEST-OK | browser/base/content/test/general/browser_bug581242.js | took 497ms

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 10 months ago7 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 7 months ago5 months ago
Resolution: --- → INCOMPLETE

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=253861333&repo=autoland&lineNumber=1971

[task 2019-06-28T04:35:49.505Z] 04:35:49 INFO - TEST-START | browser/base/content/test/general/browser_bug578534.js
[task 2019-06-28T04:35:49.871Z] 04:35:49 INFO - GECKO(1423) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 110: uncaught exception: Object
[task 2019-06-28T04:35:49.872Z] 04:35:49 INFO - GECKO(1423) | MEMORY STAT | vsize 3225MB | residentFast 455MB | heapAllocated 186MB
[task 2019-06-28T04:35:49.876Z] 04:35:49 INFO - TEST-OK | browser/base/content/test/general/browser_bug578534.js | took 378ms
[task 2019-06-28T04:35:49.897Z] 04:35:49 INFO - checking window state
[task 2019-06-28T04:35:49.917Z] 04:35:49 INFO - TEST-START | browser/base/content/test/general/browser_bug579872.js
[task 2019-06-28T04:35:50.020Z] 04:35:50 INFO - TEST-INFO | started process screentopng
[task 2019-06-28T04:35:50.568Z] 04:35:50 INFO - TEST-INFO | screentopng: exit 0
[task 2019-06-28T04:35:50.569Z] 04:35:50 INFO - Buffered messages logged at 04:35:49
[task 2019-06-28T04:35:50.570Z] 04:35:50 INFO - TEST-PASS | browser/base/content/test/general/browser_bug579872.js | Should open in current tab -
[task 2019-06-28T04:35:50.570Z] 04:35:50 INFO - Buffered messages finished
[task 2019-06-28T04:35:50.571Z] 04:35:50 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_bug579872.js | Should open in current tab - Got 3, expected 2
[task 2019-06-28T04:35:50.572Z] 04:35:50 INFO - Stack trace:
[task 2019-06-28T04:35:50.572Z] 04:35:50 INFO - chrome://mochikit/content/browser-test.js:test_is:1324
[task 2019-06-28T04:35:50.573Z] 04:35:50 INFO - chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug579872.js:mainPart:18
[task 2019-06-28T04:35:50.574Z] 04:35:50 INFO - promise callback*chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug579872.js:test:8
[task 2019-06-28T04:35:50.574Z] 04:35:50 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1145
[task 2019-06-28T04:35:50.574Z] 04:35:50 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1004
[task 2019-06-28T04:35:50.575Z] 04:35:50 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-06-28T04:35:50.579Z] 04:35:50 INFO - TEST-PASS | browser/base/content/test/general/browser_bug579872.js | Should open in new tab -
[task 2019-06-28T04:35:50.579Z] 04:35:50 INFO - GECKO(1423) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 110: uncaught exception: Object
[task 2019-06-28T04:35:50.579Z] 04:35:50 INFO - GECKO(1423) | MEMORY STAT | vsize 3213MB | residentFast 445MB | heapAllocated 182MB
[task 2019-06-28T04:35:50.579Z] 04:35:50 INFO - TEST-OK | browser/base/content/test/general/browser_bug579872.js | took 155ms

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

This failure is observed intermittently on macosx1014-64-shippable mochitest-browser-chrome-fission.

Blocks: 1530474

There have been 28 failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-09-16&endday=2019-09-23&tree=trunk&bug=1448915

Affected platform are:

  • macosx1014-64-shippable opt
  • macosx1014-64 debug
  • linux64-shippable opt
  • linux64 opt

Dolske, could you redirect this to someone who can take a look at it?

Flags: needinfo?(dolske)
Whiteboard: [stockwell needswork:owner]

This has 114 failures in the last 30 days and the triage owner was ni'ed 23 days ago but there's still no action here so I made a disable patch for it.

Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/a13a70f7bb6e
Disable browser_bug579872.js on mac and linux !debug for frequent failures. r=gbrown
Keywords: leave-open
Whiteboard: [stockwell needswork:owner] → [stockwell disabled]
Flags: needinfo?(dolske)
You need to log in before you can comment on or make changes to this bug.